//
// Generated stub from file:/Users/lalyos/prj/cirrostratus/target/checkout/src/main/groovy/org/cirrostratus/Ec2Light.groovy
//

package org.cirrostratus;

import java.lang.*;
import java.io.*;
import java.net.*;
import java.util.*;
import groovy.lang.*;
import groovy.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.security.*;
import javax.crypto.*;
import javax.crypto.spec.*;
import java.text.*;

/**
 * Ec2Ligth class is intended to use as a lightweight client to amazons ec2 webservice.
 * Its based on meta programming, so don't look for methods for each ec2 operation,
 * instead you can use any operation listed at AWS official api doc (http://docs.amazonwebservices.com/AWSEC2/latest/APIReference/OperationList-query.html).
 * 
 * <br/>
 * To pass your credentials to ec2 clinet you have 2 ways:
 * <ul>
 * <li> use the constructor: ec2 = mew Ec2Light('accesKey', 'secretKey')
 * <li> set environment variables: <b>AWS_ACCESS_KEY_ID</b> and <b>AWS_SECRET_ACCESS_KEY</b> and use the default constructor without any parameter
 * </ul>
 * 
 * Once you have an ec2 client instance, you can just simple call any ec2 operation:
 * <pre>
 * groovy:000> ec2 = new org.cirrostratus.Ec2Light()
 * ===> org.cirrostratus.Ec2Light@6a4e4eec
 * groovy:000> ec2.DescribeSecurityGroups()
 * ===> {ownerId=820212345678, groupName=default, groupDescription=default group}
 * </pre>
 * 
 * If you use the method syntax you will get back an Expando or Expando list with the flattened xml.
 * Or in groovyshell you can use the operation names as meta property names, to get a nice printing table
 * with headers:
 * <pre>
 * groovy:000> ec2.DescribeSpotInstanceRequests
 * &nbsp;SPOTINSTANCEREQUESTID&nbsp;SPOTPRICE&nbsp;TYPE&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;STATE&nbsp;&nbsp;CREATETIME&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;PRODUCTDESCRIPTION&nbsp;
 * &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;sir-6531ac07&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;0.1&nbsp;one-time&nbsp;failed&nbsp;2010-05-27T18:03:19.000Z&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Linux/UNIX&nbsp;
 * &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;sir-ad57ee07&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;0.1&nbsp;one-time&nbsp;closed&nbsp;2010-06-03T09:11:03.000Z&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Linux/UNIX&nbsp;
 * </pre>
 *
 * @author lalyos
 * @see <a href="http://docs.amazonwebservices.com/AWSEC2/latest/APIReference/OperationList-query.html">AWS official api doc</a>
 */
public class Ec2Light
    extends java.lang.Object
    implements groovy.lang.GroovyObject
{
    static private java.lang.Object EC2_URL = null;
    static public java.lang.Object getEC2_URL() {
        throw new InternalError("Stubbed method");
    }
    static public void setEC2_URL(java.lang.Object value) {
        throw new InternalError("Stubbed method");
    }

    static final private java.lang.Object HTTP_METHOD = null;
    static final public java.lang.Object getHTTP_METHOD() {
        throw new InternalError("Stubbed method");
    }

    static final private java.lang.Object SIGN_VERSION = null;
    static final public java.lang.Object getSIGN_VERSION() {
        throw new InternalError("Stubbed method");
    }

    static final private java.lang.Object SIGN_METHOD = null;
    static final public java.lang.Object getSIGN_METHOD() {
        throw new InternalError("Stubbed method");
    }

    static private java.lang.Object AWS_VERSION = null;
    static public java.lang.Object getAWS_VERSION() {
        throw new InternalError("Stubbed method");
    }
    static public void setAWS_VERSION(java.lang.Object value) {
        throw new InternalError("Stubbed method");
    }

    static final private java.lang.Object SDF = null;
    static final public java.lang.Object getSDF() {
        throw new InternalError("Stubbed method");
    }

    static final private java.lang.Object SDF2 = null;
    static final public java.lang.Object getSDF2() {
        throw new InternalError("Stubbed method");
    }

    static final private java.lang.Object GMT = null;
    static final public java.lang.Object getGMT() {
        throw new InternalError("Stubbed method");
    }

    static private java.lang.Object debug = null;
    static public java.lang.Object getDebug() {
        throw new InternalError("Stubbed method");
    }
    static public void setDebug(java.lang.Object value) {
        throw new InternalError("Stubbed method");
    }

    static private java.lang.Object trace = null;
    static public java.lang.Object getTrace() {
        throw new InternalError("Stubbed method");
    }
    static public void setTrace(java.lang.Object value) {
        throw new InternalError("Stubbed method");
    }

    static private java.lang.Object warning = null;
    static public java.lang.Object getWarning() {
        throw new InternalError("Stubbed method");
    }
    static public void setWarning(java.lang.Object value) {
        throw new InternalError("Stubbed method");
    }

    static private java.lang.Object methodMap = null;
    static public java.lang.Object getMethodMap() {
        throw new InternalError("Stubbed method");
    }
    static public void setMethodMap(java.lang.Object value) {
        throw new InternalError("Stubbed method");
    }

    static final private java.lang.Object xmlMapper = null;
    static final public java.lang.Object getXmlMapper() {
        throw new InternalError("Stubbed method");
    }

    private java.lang.Object signingKey = null;
    public java.lang.Object getSigningKey() {
        throw new InternalError("Stubbed method");
    }
    public void setSigningKey(java.lang.Object value) {
        throw new InternalError("Stubbed method");
    }

    private java.lang.Object mac = null;
    public java.lang.Object getMac() {
        throw new InternalError("Stubbed method");
    }
    public void setMac(java.lang.Object value) {
        throw new InternalError("Stubbed method");
    }

    public static java.lang.Object keypathPrefix = null;

    private java.lang.Object accesKey = null;
    public java.lang.Object getAccesKey() {
        throw new InternalError("Stubbed method");
    }
    public void setAccesKey(java.lang.Object value) {
        throw new InternalError("Stubbed method");
    }

    private java.lang.Object secretKey = null;
    public java.lang.Object getSecretKey() {
        throw new InternalError("Stubbed method");
    }
    public void setSecretKey(java.lang.Object value) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Magic constructor
     */
    private Ec2Light(java.lang.Void void0, java.lang.Void void1, java.lang.Void void2) {
        throw new InternalError("Stubbed method");
    }

    private static java.lang.Object debug(java.lang.Object msg) {
        throw new InternalError("Stubbed method");
    }

    static public java.lang.Object trace(java.lang.Object msg) {
        throw new InternalError("Stubbed method");
    }

    static public java.lang.Object warning(java.lang.Object msg) {
        throw new InternalError("Stubbed method");
    }

    public Ec2Light(java.lang.Object accesKey, java.lang.Object secretKey) {
        this((java.lang.Void)null, (java.lang.Void)null, (java.lang.Void)null);
        throw new InternalError("Stubbed method");
    }

    private java.lang.Object getDefaultParams() {
        throw new InternalError("Stubbed method");
    }

    private java.lang.Object getExpires() {
        throw new InternalError("Stubbed method");
    }

    private java.lang.String getExpiresAsSeconds() {
        throw new InternalError("Stubbed method");
    }

    private java.lang.String getTimestamp() {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object methodMissing(java.lang.String name, java.lang.Object args) {
        throw new InternalError("Stubbed method");
    }

    private java.lang.Object createOptionalParams(java.lang.Object args, java.lang.Object ec2method) {
        throw new InternalError("Stubbed method");
    }

    private java.lang.Object parseResponse(java.lang.Object response, java.lang.Object ec2method) {
        throw new InternalError("Stubbed method");
    }

    private java.lang.Object createExpandoFromNode(java.lang.Object rootNode, java.lang.Object ec2method) {
        throw new InternalError("Stubbed method");
    }

    private java.lang.Object propertyMissing(java.lang.String name) {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object waitForSomething(java.lang.Object somethingId, java.lang.Object propertyName, java.lang.Object requiredValue, java.lang.Object ec2Operation, java.lang.Object timeout, java.lang.Object pollPeriod) {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object waitForInstanceState(java.lang.Object instanceReference, java.lang.Object stateName, java.lang.Object timeout, java.lang.Object pollPeriod) {
        throw new InternalError("Stubbed method");
    }

    private java.lang.Object call(java.lang.Object action, java.lang.Object optionalParams) {
        throw new InternalError("Stubbed method");
    }

    public groovy.lang.MetaClass getMetaClass() {
        throw new InternalError("Stubbed method");
    }

    public void setMetaClass(groovy.lang.MetaClass metaClass) {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args) {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object getProperty(java.lang.String name) {
        throw new InternalError("Stubbed method");
    }

    public void setProperty(java.lang.String name, java.lang.Object value) {
        throw new InternalError("Stubbed method");
    }
}
